Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.messaging.jms
Class JmsAdapter

    java.lang.Object
      flex.management.ManageableComponent
          flex.messaging.services.ServiceAdapter
              flex.messaging.services.messaging.adapters.MessagingAdapter
                  org.springframework.flex.messaging.jms.JmsAdapter

All Implemented Interfaces:
  Manageable, FlexComponent, FlexConfigurable, MessagingSecurity, BeanNameAware, InitializingBean, ApplicationEventPublisherAware

    public class JmsAdapter

extends MessagingAdapter
implements InitializingBean, BeanNameAware, ApplicationEventPublisherAware

A `MessagingAdapter` implementation that enables sending and receiving messages via JMS.

Author:
  Mark Fisher, Jeremy Grelle

Field Summary

Fields inherited from class flex.messaging.services.ServiceAdapter
`LOG_CATEGORY`

Fields inherited from class flex.management.ManageableComponent
`control, id, managed, NULL_COMPONENT_PROPERTY, parent, PROPERTY_CHANGE_AFTER_STARTUP, started, valid`

Constructor Summary
`JmsAdapter()`

Method Summary
`void` | `afterPropertiesSet()`
`JmsTemplate` | `getJmsTemplate()` Returns the `JmsTemplate` used by this adapter
`boolean` | `handlesSubscriptions()`
`Object` | `invoke(Message flexMessage)` Invoked when a Message is received from a Flex client.
`Object` | `manage(CommandMessage commandMessage)`
`void` | `setApplicationEventPublisher(ApplicationEventPublisher applicationEventPublisher)`
`void` | `setBeanName(String beanName)`
`void` | `setConnectionFactory(javax.jms.ConnectionFactory connectionFactory)` Sets the `ConnectionFactory` to use for sending and receiving JMS messages
`void` | `setDestinationResolver(DestinationResolver destinationResolver)` Sets the `DestinationResolver` for resolving the JMS destination for this adapter
`void` | `setJmsDestination(javax.jms.Destination destination)` Sets the JMS `Destination` for messages sent and received by this adapter
`void` | `setMessageConverter(MessageConverter messageConverter)` Sets the `MessageConverter` for messages sent and received by this adapter.
`void` | `setQueueName(String queueName)` Sets the JMS queue name for messages sent and received by this adapter.
`void` | `setTopicName(String topicName)` Sets the JMS topic name for messages sent and received by this adapter.
`void` | `setTransactionManager(PlatformTransactionManager transactionManager)` Sets the `PlatformTransactionManager` to be used when sending and receiving messages
`void` | `start()`
`void` | `stop()`

Methods inherited from class flex.messaging.services.messaging.adapters.MessagingAdapter
`allowSend, allowSubscribe, getSecurityConstraintManager, initialize, setSecurityConstraintManager, validate`

Methods inherited from class flex.messaging.services.ServiceAdapter
`getAdapterState, getDestination, getLogCategory, setAdapterState, setDestination, setupAdapterControl`

Methods inherited from class flex.management.ManageableComponent
`blockAssignmentWhileStarted, blockNullAssignment, getControl, getId, getParent, invalidate, isManaged, isStarted, isValid, setControl, setId, setManaged, setParent, setStarted, setValid`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsAdapter

    public JmsAdapter()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`

### getJmsTemplate

    public JmsTemplate getJmsTemplate()

  Returns the `JmsTemplate` used by this adapter

  Returns:
    the jms template

### handlesSubscriptions

    public boolean handlesSubscriptions()

  Overrides:
    `handlesSubscriptions` in class `ServiceAdapter`

### invoke

    public Object invoke(Message flexMessage)

  Invoked when a Message is received from a Flex client.

  Specified by:
    `invoke` in class `ServiceAdapter`

### manage

    public Object manage(CommandMessage commandMessage)

  Overrides:
    `manage` in class `ServiceAdapter`

### setBeanName

    public void setBeanName(String beanName)

  Specified by:
    `setBeanName` in interface `BeanNameAware`

### setConnectionFactory

    public void setConnectionFactory(javax.jms.ConnectionFactory connectionFactory)

  Sets the `ConnectionFactory` to use for sending and receiving JMS messages

  Parameters:
    `connectionFactory` - the connection factory

### setDestinationResolver

    public void setDestinationResolver(DestinationResolver destinationResolver)

  Sets the `DestinationResolver` for resolving the JMS destination for this adapter

  Parameters:
    `destinationResolver` - the destination resolver

### setJmsDestination

    public void setJmsDestination(javax.jms.Destination destination)

  Sets the JMS `Destination` for messages sent and received by this adapter

  Parameters:
    `destination` - the destination

### setMessageConverter

    public void setMessageConverter(MessageConverter messageConverter)

  Sets the `MessageConverter` for messages sent and received by this adapter.

  Parameters:
    `messageConverter` - the message converter

### setQueueName

    public void setQueueName(String queueName)

  Sets the JMS queue name for messages sent and received by this adapter.

  Parameters:
    `queueName` - the JMS queue name

### setTopicName

    public void setTopicName(String topicName)

  Sets the JMS topic name for messages sent and received by this adapter.

  Parameters:
    `topicName` - the JMS topic name

### setTransactionManager

    public void setTransactionManager(PlatformTransactionManager transactionManager)

  Sets the `PlatformTransactionManager` to be used when sending and receiving messages

  Parameters:
    `transactionManager` - the transaction manager

### start

    public void start()

  Specified by:
    `start` in interface `FlexComponent`
  Overrides:
    `start` in class `ServiceAdapter`

### stop

    public void stop()

  Specified by:
    `stop` in interface `FlexComponent`
  Overrides:
    `stop` in class `ServiceAdapter`

### setApplicationEventPublisher

    public void setApplicationEventPublisher(ApplicationEventPublisher applicationEventPublisher)

  Specified by:
    `setApplicationEventPublisher` in interface `ApplicationEventPublisherAware`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.